/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Oct 27, 2021, 10:11:45 AM
    Author     : Lamyarahman
*/

/*effect 1 begins */
@import url(http://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css);
figure.snip0039 {
    color: #fff;
    position: relative;
    float: left;
    overflow: hidden;
    margin: 10px 1%;
    min-width: 220px;
    max-width: 100%;
    min-height: 320px;
    width: 100%;
    background: #000000;
}
figure.snip0039 * {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
figure.snip0039 > img {
    opacity: 1;
    width: 100%;
    filter: blur(0px);
    -webkit-transition: all 0.35s;
    transition: all 0.35s;
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
}
figure.snip0039 figcaption {
    left: 30px;
    margin-top: -52px;
    position: absolute;
    right: 30px;
    text-align: left;
    top: 100%;
    -webkit-transition: top 0.35s;
    transition: top 0.35s;
}
figure.snip0039 figcaption h2 {
    width: 100%;
    text-align: left;
    border-radius: 5px 5px 0 0;
    margin: 0;
    padding: 15px 20px;
    font-size: 1.25em;
    font-weight: 300;
    text-transform: uppercase;
    box-shadow: 0 0 20px 0px rgb(0 0 0 / 34%);
    background-color: #004851;
    position: relative;
    z-index: 1;
    color: #ffffff;
}
figure.snip0039 figcaption h2 span {
    font-weight: 800;
}
figure.snip0039 figcaption p {
    background-color: rgba(255, 255, 255, 0.9);
    padding: 15px 20px;
    color: #000;
    margin: 0;
    font-size: 1.15em;
    min-height: 220px;
}

figure.snip0039 figcaption .icons {
    padding: 5px;
    position: absolute;
    right: 0;
    top: 0;
}
figure.snip0039 figcaption .icons i {
    font-size: 23px;
    padding: 4px;
    color: #ffffff;
    opacity: 1;
    position: relative;
    top: -90px;
    opacity: 0;
    -webkit-transition: top 0.35s, opacity 0.35s;
    transition: top 0.35s, opacity 0.35s;
}
figure.snip0039 figcaption .icons a:first-child i {
    -webkit-transition-delay: 0.3s;
    transition-delay: 0.3s;
}
figure.snip0039 figcaption .icons a:nth-child(2) i {
    -webkit-transition-delay: 0.2s;
    transition-delay: 0.2s;
}
figure.snip0039 figcaption .icons a:nth-child(3) i {
    -webkit-transition-delay: 0.1s;
    transition-delay: 0.1s;
}
figure.snip0039:after {
    position: absolute;
    display: block;
    top: -15px;
    height: 15px;
    right: 30px;
    left: 30px;
    border-radius: 0 0 5px 5px ;
    background-color: #004851;
    z-index: 2;
    content: '';
    -webkit-transition: top 0.35s;
    transition: top 0.35s;
}
figure.snip0039 a {
    opacity: 0.7;
}
figure.snip0039 a:hover {
    opacity: 1;
}
figure.snip0039:hover > img,
figure.snip0039.hover > img {
    opacity: 0.5;
    filter: blur(5px);
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}
figure.snip0039:hover figcaption,
figure.snip0039.hover figcaption {
    top: 115px;
}
figure.snip0039:hover figcaption .icons i,
figure.snip0039.hover figcaption .icons i {
    opacity: 1;
    top: -41px;
}
figure.snip0039:hover figcaption::before,
figure.snip0039.hover figcaption::before {
    opacity: 0.8;
}
figure.snip0039:hover:after,
figure.snip0039.hover:after {
    top: 0;
}
/*effect 1 ends*/



/*effect 2 begins */

figure.snip1364 {
    position: relative;
    float: left;
    overflow: hidden;
    margin: 10px 1%;
    color: #000000;
    text-align: left;
    font-size: 16px;
    background-color: #000000;
    min-width: 220px;
    max-width: 100%;
    min-height: 320px;
    width: 100%;
}
figure.snip1364 * {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: all 0.35s ease;
    transition: all 0.35s ease;
}
figure.snip1364 img {
    max-width: 100%;
    backface-visibility: hidden;
}
figure.snip1364 figcaption {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    opacity: 1;
    padding: 30px 10px 30px 0;
    background-color: #ffffff;
    width: 50%;
    -webkit-transform: translateX(-150%);
    transform: translateX(-150%);
}
figure.snip1364 figcaption:before {
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    left: 100%;
    content: '';
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 180px 0 180px 180px;
    border-color: transparent transparent transparent #ffffff;
}
figure.snip1364:after {
    position: absolute;
    bottom: 50%;
    left: 50%;
    content: '';
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 180px 180px 0 180px;
    border-color: rgba(0,72,81,0.5) transparent transparent transparent;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: all 0.35s ease;
    transition: all 0.35s ease;
}
figure.snip1364 h3,
figure.snip1364 p {
    line-height: 1.5em;
    -webkit-transform: translateX(30px);
    transform: translateX(30px);
    margin: 0;
}
figure.snip1364 h3 {
    margin: 0 0 5px;
    line-height: 1.1em;
    font-weight: 900;
    font-size: 1.5em;
    opacity: 0.75;
}
figure.snip1364 p {
    font-size: 1.2em;
}
figure.snip1364 div.icon {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 25px 40px;
    font-size: 20px;
    color: #ffffff;
    width: 155px;
    text-align: center;
    font-family: 'Dubai Medium';
}
figure.snip1364:hover div.icon span{
    opacity: 0;
}

figure.snip1364 div.icon img{
    text-align: center;
}
figure.snip1364 a {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
}
figure.snip1364:hover img,
figure.snip1364.hover img {
    zoom: 1;
    filter: alpha(opacity=80);
    -webkit-opacity: 0.8;
    opacity: 0.8;
}
figure.snip1364:hover:after,
figure.snip1364.hover:after,
figure.snip1364:hover figcaption,
figure.snip1364.hover figcaption,
figure.snip1364:hover i,
figure.snip1364.hover i {
    -webkit-transform: translateX(0);
    transform: translateX(0);
    opacity: 1;
}

/*effect 2 ends*/




/*effect 3 begins */

figure.spin003 .media {
  background-position: center;
  background-size: cover;
  height: 100%;
  position: absolute;
  transition: all 0.3s ease;
  width: 100%;
}
figure.spin003 {
  height: 370px;
  overflow: hidden;
  position: relative;
}
figure.spin003 a {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 3;
}
figure.spin003:hover .media {
  transform: scale(1.25);
}
figure.spin003 figcaption {
  color: #252830;
  height: calc(100% - 30px);
  margin: 15px;
  left: 0;
  position: absolute;
  top: 0;
  width: 250px;
}
.body003 {
  background-color: white;
  bottom: 0;
  padding: 15px;
  position: absolute;
  width: 100%;
}
figure.spin003 svg {
  height: inherit;
  width: 100%;
}
figure.spin003 svg text {
  text-anchor: middle;
}
figure.spin003 svg #alpha {
  fill: white;
}
figure.spin003 svg .title {
  font-size: 28px;
  font-family: "Montserrat";
  letter-spacing: 5px;
}
figure.spin003 svg #base {
  fill: white;
  -webkit-mask: url(#mask);
  mask: url(#mask);
}

/*effect 3 ends*/




/*effect 4 begins */

/*effect 4 ends*/